# xs2tikz

A converter toolbox for Scilab, which generates a TikZ/PGF file from a Scilab figure. Currently, simple 2D graphics made with plot() are supported, as well as legends, titles, different line and mark styles.

To install this package, clone it first via
```
git clone https://gogs.itd-services.de/Studentenprojekte/xs2tikz.git
```

Open Scilab, change the path to the cloned directory for `xs2tikz` and
type in the following for building the sources and loading the package:
```
exec builder.sce
exec loader.sce
```

To start with, read the help page about `xs2tikz` via
```
help xs2tikz
```

# Usage

The function `xs2tikz` is your best friend, its calling sequence is
```
xs2tikz(<file path>)
xs2tikz(<file path>, <doctype string>)
xs2tikz(<file path>, <doctype string>, <license string>)
```
where **\<file path\>** is the file name you want to save your TikZ-file,
**\<doctype string\>** contains either "standalone" or "embeddable" for the creation of a
self-sustaining or embeddable file and
**\<license string\>** contains either "license" or "no\_license", depending on whether
you want to see the license information for this toolbox or not.
