function cleaner_help()
    help_path = get_absolute_file_path("cleaner_help.sce");
    lang_dirs = dir(help_path);
    lang_dirs = lang_dirs.name(lang_dirs.isdir);

    for l = 1:size(lang_dirs, "*")
        masterfile = fullpath(help_path + filesep() + lang_dirs(l) + "/master_help.xml");
        mdelete(masterfile);

        jarfile = fullpath(help_path + "/../jar/scilab_" + lang_dirs(l) + "_help.jar");
        mdelete(jarfile);

        tmphtmldir = fullpath(help_path + "/" + lang_dirs(l) + "/scilab_" + lang_dirs(l) + "_help");
    end
endfunction

cleaner_help();
clear cleaner_help;
