// Unit tests for graphical-element-adding
// Author: Manuel-Tobias Csapo, 2018

//
// Test 1 - Data extration and generating for straight line
x = 1:4;
m = 0.8;
y = -2;
f = m * x + y;

plot(x, f)

data = gca().children.children.data;

expected = msprintf("coordinates {");

for d = data'
    expected($+1) = msprintf("(%f, %f)", d(1), d(2));
end

computed = add_graphical_element("addplot", data);

computed
expected
assert_checkequal(computed, expected)
