// Unit test for legend finding
// Author: Manuel-Tobias Csapo, 2018

//
// Test 1 - No legend
clf();

attributes = gather_graphic_attributes();

computed = find_legendentry(attributes.polylines{1}, attributes.legends);

assert_checktrue(isempty(computed))

clf();

// Test 2 - Has legend
x = linspace(0, 2*%pi);
plot(x, sin(x))
title("to sine or not to sine")
legend(['sin(x)'])

attributes = gather_graphic_attributes();

computed = find_legendentry(attributes.polylines{1}, attributes.legends);

computed

assert_checktrue(~isempty(computed))

clf();
